Core - Bug # 29498

Status: Resolved Priority: Should have

Author: Steffen Gebert Category: Backend User Interface
Created: 2011-09-05 Assigned To:

Updated: 2011-09-06 Due date:

TYPO3 Version: 4.6

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject:

Disable compression for JS inline code in Backend

Description

JSMin is a major performance nightmare and no network connection can be as slow as it would justify to spend so much time to

execute JSmin several times for each and every backend request.

As long as we have no fast replacement in core available, disable compression for all JS snippets added with

t3lib_PageRenderer::addJsInlineCode in the Backend.

Related issues:
related to Core - Bug # 25027: Remove jsMinify, json wrapper etc

Closed 2011-02-14

Associated revisions

Revision f707256¢ - 2011-09-05 23:49 - Steffen Gebert

[TASK] Disable compression for inlineds in Backend

JSMin is a major performance nightmare and no network connection can be
as slow as it would justify to spend so much time to execute JSmin

several times for each and every backend request.

As long as we have no fast replacement in core available, disable
compression for all JS snippets added with

t3lib_PageRenderer::addJsInlineCode in the Backend.

JSMin's share of execution time was about 20-25% of the page generation
time, for almost empty backend pages even ~50%.

Change-Id: 15623ad6c8b9d24777b6bcf46ead7bf51eb9c62d3

Resolves: #29498

Revision c4209b11 - 2011-09-10 18:56 - Steffen Gebert

[TASK] Disable compression for inlineds in Backend

JSMin is a major performance nightmare and no network connection can be

as slow as it would justify to spend so much time to execute JSmin

several times for each and every backend request.

As long as we have no fast replacement in core available, disable
compression for all JS snippets added with
t3lib_PageRenderer::addJsInlineCode in the Backend.

JSMin's share of execution time was about 20-25% of the page generation
time, for almost empty backend pages even ~50%.

Change-Id: 15623ad6c8b9d24777b6bcf46ea97bf51eb9c62d3
Resolves: #29498
Reviewed-on: http://review.typo3.0rg/4778

Reviewed-by: Xavier Perseguers
Reviewed-by: Bjérn Pedersen
Tested-by: Bjérn Pedersen
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision 633657b0 - 2012-02-08 07:44 - Steffen Gebert

[TASK] Disable compression for inlineds in Backend

JSMin is a major performance nightmare and no network connection can be
as slow as it would justify to spend so much time to execute JSmin
several times for each and every backend request.

As long as we have no fast replacement in core available, disable
compression for all JS snippets added with
t3lib_PageRenderer::addJsInlineCode in the Backend.

JSMin's share of execution time was about 20-25% of the page generation
time, for almost empty backend pages even ~50%.

Change-Id: labbd092a349dec6e84c40b7b7c750bc718168d85
Resolves: #29498

Releases: 4.6, 4.5

Reviewed-on: http://review.typo3.org/7201

Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny
Reviewed-by: Sebastian Fischer
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Oliver Klee
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History

#1 - 2011-09-05 23:07 - Steffen Gebert
- Category set to Backend User Interface

#2 - 2011-09-05 23:11 - Steffen Gebert
- File callgraph-before.png added
http://review.typo3.org/4778
http://review.typo3.org/7201

- File callgraph-after.png added
- File profiling-before.html added

#3 - 2011-09-05 23:13 - Mr. Hudson

Patch set 1 of change 15623ad6c8b9d24777b6bcf46ea97bf51eb9c62d3 has been pushed to the review server.

It is available at http://review.typo3.0rg/4778

#4 - 2011-09-06 00:00 - Steffen Gebert
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f707256¢c20c517f02eaf5769e512e802a4988e5d.

Files

callgraph-before.png 1.5 MB 2011-09-05 Steffen Gebert
callgraph-after.png 1.7 MB 2011-09-05 Steffen Gebert
profiling-before.html 71.3kB 2011-09-05 Steffen Gebert
